Bug 472201 (CVE-2008-5350) - CVE-2008-5350 OpenJDK allows to list files within the user home directory (6484091)
Summary: CVE-2008-5350 OpenJDK allows to list files within the user home directory (64...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2008-5350
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 473317 479814 479815 479822 479823 493287 493288 493289 529660 529661
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-11-19 11:33 UTC by Marc Schoenefeld
Modified: 2019-09-29 12:27 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-06-10 21:22:23 UTC


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2009:0015 0 normal SHIPPED_LIVE Critical: java-1.6.0-ibm security update 2009-01-13 21:33:26 UTC
Red Hat Product Errata RHSA-2009:0016 0 normal SHIPPED_LIVE Critical: java-1.5.0-ibm security update 2009-01-13 21:39:54 UTC
Red Hat Product Errata RHSA-2009:0445 0 normal SHIPPED_LIVE Critical: java-1.4.2-ibm security update 2009-04-23 18:44:47 UTC
Red Hat Product Errata RHSA-2009:0466 0 normal SHIPPED_LIVE Low: java-1.5.0-ibm security update 2009-05-07 11:45:26 UTC

Comment 2 Marc Schoenefeld 2008-12-05 12:28:17 UTC
Name: CVE-2008-5350
Status: Candidate
URL: http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2008-5350
Reference: SUNALERT:246266
Reference: URL:http://sunsolve.sun.com/search/document.do?assetkey=1-26-246266-1

Unspecified vulnerability in Java Runtime Environment (JRE) for Sun
JDK and JRE 6 Update 10 and earlier; JDK and JRE 5.0 Update 16 and
earlier; and SDK and JRE 1.4.2_18 and earlier allows untrusted
applications and applets to list the contents of the operating user's
directory via unknown vectors.

Comment 3 Fedora Update System 2008-12-07 04:27:15 UTC
java-1.6.0-openjdk-1.6.0.0-0.20.b09.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 4 Fedora Update System 2008-12-07 04:32:48 UTC
java-1.6.0-openjdk-1.6.0.0-7.b12.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 5 Jan Lieskovsky 2008-12-08 09:15:28 UTC
Another mention of this issue:

http://secunia.com/advisories/32991/ (Point 17) ).

Comment 11 errata-xmlrpc 2009-04-23 18:45:09 UTC
This issue has been addressed in following products:

  Extras for RHEL 3
  Extras for RHEL 4
  Extras for Red Hat Enterprise Linux 5

Via RHSA-2009:0445 https://rhn.redhat.com/errata/RHSA-2009-0445.html

Comment 13 errata-xmlrpc 2009-05-07 11:45:35 UTC
This issue has been addressed in following products:

  Red Hat Network Satellite Server v 5.2

Via RHSA-2009:0466 https://rhn.redhat.com/errata/RHSA-2009-0466.html

Comment 14 errata-xmlrpc 2009-05-07 12:11:06 UTC
This issue has been addressed in following products:

  Red Hat Network Satellite Server v 5.2

Via RHSA-2009:0466 https://rhn.redhat.com/errata/RHSA-2009-0466.html


Note You need to log in before you can comment on or make changes to this bug.